<?php

class BoostMyShop_ErpCloud_Model_Sales_Order_Shipment_Api extends Mage_Sales_Model_Order_Shipment_Api
{

    /**
     * send shipment email
     *
     * @param $shipmentIncrementId
     */
    public function notify($shipmentIncrementId)
    {
        $shipment = Mage::getModel('sales/order_shipment')->loadByIncrementId($shipmentIncrementId);

        if (!$shipment->getId()) {
            $this->_fault('not_exists');
        }

        try {
            $email=true;
            $shipment->sendEmail($email);
        } catch (Mage_Core_Exception $e) {
            $this->_fault('Error:', $e->getMessage());
        }
    }

}